website:
  name: Generic E-commerce
  base_url: https://www.personalisedgiftsshop.co.uk
  type: generic
crawling:
  start_urls:
  - https://www.personalisedgiftsshop.co.uk/
  pagination:
    enabled: true
    selector: .next-page a, .pagination a.next, a[rel="next"]
    max_pages: 50
  follow_links: true
selectors:
  product_container: .product-item, .item.product, .products.wrapper .product-item
  title: .product-item-link, a.product-item-link, .product-item-name, h2, h3
  price: .price, .price-box .price, span.price
  image: .product-item-photo img, .product-image-photo
  link: .product-item-link, a.product-item-link
  description: '#description, [data-content-type="html"], .product.attribute.description
    .value'
  category: .breadcrumbs .item:not(:last-child):last-child::text, [class*="category"]::text
  sku: '[data-sku], .sku, [itemprop="sku"]'
  attributes: .product-attributes, .attributes, table.specs
rate_limiting:
  delay: 1.5
  download_delay: 1.5
  concurrent_requests: 1
headers:
  User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36
  Accept: text/html,application/xhtml+xml
features:
  requires_javascript: false
  api_endpoints: []
  custom_middleware: []
proxies:
  enabled: false
  list: []
  mode: rotate
notes: Generic detection. You may need to customize selectors for this site.
export:
  domain_slug: personalisedgiftsshop-co-uk
